
Redmine - Defect #8199

Unable to change the status of an issue regardless of workflow

2011-04-20 13:10 - Adam Pike

Status: Closed Start date: 2011-04-20

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

When I access admin, I can see that for my user group, when an issue is in the status of 'Resolved', I should be able to change the

status to 'Closed'.

When I open an issue at status 'Resolved' the status field doesn't contain the option 'Closed'.

Related issues:

Related to Redmine - Defect #8625: Admin can not change issue status Closed 2011-06-16

Related to Redmine - Feature #2323: Workflow permissions for administrators Closed 2008-12-12

Related to Redmine - Feature #6670: Admin rights should not override rights g... New 2010-10-14

History

#1 - 2011-04-20 13:57 - Etienne Massip

- Category set to Issues workflow

What's your Redmine version ?

How is setup your workflow for your role / tracker ?

#2 - 2011-04-20 14:56 - Adam Pike

Redmine 1.1.2.stable.5026 (MySQL)

#3 - 2011-04-20 14:59 - Adam Pike

- File workflow_issues.png added

Screen shot of workflow added.

#4 - 2011-04-20 15:03 - Adam Pike

This only seems to be a problem for me closing a tracker of type 'Feature'

I can change the status of a bug from resolved to closed no problem.

#5 - 2011-05-01 21:35 - Martijn Schoenmakers

I got the same problem.

Tried with the bug type and a new tracker type I created myself.

Problem arised since upgrading (from 1.1.1) to 1.1.2.stable (from march)

Hopefully this will be fixed soon.

#6 - 2011-06-16 06:51 - Bevan Rudge

Related; http://www.redmine.org/issues/8625

#7 - 2011-06-20 03:59 - Jean-Baptiste Barth

- Status changed from New to Closed

- Priority changed from High to Normal

- Resolution set to Duplicate
http://www.redmine.org/issues/8625


It has always been the case, Martijn I think you're mistaken. Basically see the discussion at #2323 and the last note from Holger at #6670 :

admins can't violate workflow (major reason : it could lead to a state where no real project member could do anything on the issue)

one possible solution would be to give admin the rights to access all transitions defined through roles, but it was never implemented

Conclusion: if you need to change issue statuses, you're a project member, so give yourself a role on that project.

#8 - 2011-06-20 22:21 - Bevan Rudge

Thank you for the update.
